export interface ToolingTypeRelationVO {
  /**
   * 主键标识
   */
  relationId: string | number;

  /**
   * 工装类型ID
   */
  toolingTypeId: string | number;

  /**
   * 关联信息类型(1物料 2工序)
   */
  relationInfoType: string;

  /**
   * 关联信息ID
   */
  relationInfoId: string | number;

}

export interface ToolingTypeRelationForm extends BaseEntity {
  /**
   * 主键标识
   */
  relationId?: string | number;

  /**
   * 工装类型ID
   */
  toolingTypeId?: string | number;

  /**
   * 关联信息类型(1物料 2工序)
   */
  relationInfoType?: string;

  /**
   * 关联信息ID
   */
  relationInfoId?: string | number;

}

export interface ToolingTypeRelationQuery extends PageQuery {

  /**
   * 主键标识
   */
  relationId?: string | number;

  /**
   * 工装类型ID
   */
  toolingTypeId?: string | number;

  /**
   * 关联信息类型(1物料 2工序)
   */
  relationInfoType?: string;

  /**
   * 关联信息ID
   */
  relationInfoId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



